Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040EntryRelationshipImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040EntryRelationshipImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040EntryRelationship

    public class POCDMT000040EntryRelationshipImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040EntryRelationship

An implementation of the model object 'POCDMT000040 Entry Relationship'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Sequence Number`
- `Seperatable Ind`
- `Act`
- `Encounter`
- `Observation`
- `Observation Media`
- `Organizer`
- `Procedure`
- `Region Of Interest`
- `Substance Administration`
- `Supply`
- `Context Conduction Ind`
- `Inversion Ind`
- `Negation Ind`
- `Null Flavor`
- `Type Code`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetAct(POCDMT000040Act newAct, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetEncounter(POCDMT000040Encounter newEncounter, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetObservation(POCDMT000040Observation newObservation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetObservationMedia(POCDMT000040ObservationMedia newObservationMedia, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetOrganizer(POCDMT000040Organizer newOrganizer, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetProcedure(POCDMT000040Procedure newProcedure, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRegionOfInterest(POCDMT000040RegionOfInterest newRegionOfInterest, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSeperatableInd(BL1 newSeperatableInd, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSequenceNumber(INT1 newSequenceNumber, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSubstanceAdministration(POCDMT000040SubstanceAdministration newSubstanceAdministration, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSupply(POCDMT000040Supply newSupply, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`POCDMT000040Act` | `getAct()`
`POCDMT000040Encounter` | `getEncounter()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`POCDMT000040Observation` | `getObservation()`
`POCDMT000040ObservationMedia` | `getObservationMedia()`
`POCDMT000040Organizer` | `getOrganizer()`
`POCDMT000040Procedure` | `getProcedure()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`POCDMT000040RegionOfInterest` | `getRegionOfInterest()`
`BL1` | `getSeperatableInd()`
`INT1` | `getSequenceNumber()`
`POCDMT000040SubstanceAdministration` | `getSubstanceAdministration()`
`POCDMT000040Supply` | `getSupply()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`XActRelationshipEntryRelationship` | `getTypeCode()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`boolean` | `isContextConductionInd()`
`boolean` | `isInversionInd()`
`boolean` | `isNegationInd()`
`boolean` | `isSetContextConductionInd()`
`boolean` | `isSetInversionInd()`
`boolean` | `isSetNegationInd()`
`boolean` | `isSetTypeCode()`
`void` | `setAct(POCDMT000040Act newAct)`
`void` | `setContextConductionInd(boolean newContextConductionInd)`
`void` | `setEncounter(POCDMT000040Encounter newEncounter)`
`void` | `setInversionInd(boolean newInversionInd)`
`void` | `setNegationInd(boolean newNegationInd)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setObservation(POCDMT000040Observation newObservation)`
`void` | `setObservationMedia(POCDMT000040ObservationMedia newObservationMedia)`
`void` | `setOrganizer(POCDMT000040Organizer newOrganizer)`
`void` | `setProcedure(POCDMT000040Procedure newProcedure)`
`void` | `setRegionOfInterest(POCDMT000040RegionOfInterest newRegionOfInterest)`
`void` | `setSeperatableInd(BL1 newSeperatableInd)`
`void` | `setSequenceNumber(INT1 newSequenceNumber)`
`void` | `setSubstanceAdministration(POCDMT000040SubstanceAdministration newSubstanceAdministration)`
`void` | `setSupply(POCDMT000040Supply newSupply)`
`void` | `setTypeCode(XActRelationshipEntryRelationship newTypeCode)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`java.lang.String` | `toString()`
`void` | `unsetContextConductionInd()`
`void` | `unsetInversionInd()`
`void` | `unsetNegationInd()`
`void` | `unsetTypeCode()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040EntryRelationship_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040EntryRelationship_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040EntryRelationship_TemplateId()`

### getSequenceNumber

    public INT1 getSequenceNumber()

  Specified by:
    `getSequenceNumber` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Sequence Number' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setSequenceNumber(INT1)`, `CDAR2Package.getPOCDMT000040EntryRelationship_SequenceNumber()`

### basicSetSequenceNumber

    public org.eclipse.emf.common.notify.NotificationChain basicSetSequenceNumber(INT1 newSequenceNumber,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setSequenceNumber

    public void setSequenceNumber(INT1 newSequenceNumber)

  Specified by:
    `setSequenceNumber` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newSequenceNumber` - the new value of the 'Sequence Number' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getSequenceNumber()`

### getSeperatableInd

    public BL1 getSeperatableInd()

  Specified by:
    `getSeperatableInd` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Seperatable Ind' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setSeperatableInd(BL1)`, `CDAR2Package.getPOCDMT000040EntryRelationship_SeperatableInd()`

### basicSetSeperatableInd

    public org.eclipse.emf.common.notify.NotificationChain basicSetSeperatableInd(BL1 newSeperatableInd,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setSeperatableInd

    public void setSeperatableInd(BL1 newSeperatableInd)

  Specified by:
    `setSeperatableInd` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newSeperatableInd` - the new value of the 'Seperatable Ind' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getSeperatableInd()`

### getAct

    public POCDMT000040Act getAct()

  Specified by:
    `getAct` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Act' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setAct(POCDMT000040Act)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Act()`

### basicSetAct

    public org.eclipse.emf.common.notify.NotificationChain basicSetAct(POCDMT000040Act newAct,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setAct

    public void setAct(POCDMT000040Act newAct)

  Specified by:
    `setAct` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newAct` - the new value of the 'Act' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getAct()`

### getEncounter

    public POCDMT000040Encounter getEncounter()

  Specified by:
    `getEncounter` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Encounter' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setEncounter(POCDMT000040Encounter)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Encounter()`

### basicSetEncounter

    public org.eclipse.emf.common.notify.NotificationChain basicSetEncounter(POCDMT000040Encounter newEncounter,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setEncounter

    public void setEncounter(POCDMT000040Encounter newEncounter)

  Specified by:
    `setEncounter` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newEncounter` - the new value of the 'Encounter' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getEncounter()`

### getObservation

    public POCDMT000040Observation getObservation()

  Specified by:
    `getObservation` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Observation' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setObservation(POCDMT000040Observation)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Observation()`

### basicSetObservation

    public org.eclipse.emf.common.notify.NotificationChain basicSetObservation(POCDMT000040Observation newObservation,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setObservation

    public void setObservation(POCDMT000040Observation newObservation)

  Specified by:
    `setObservation` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newObservation` - the new value of the 'Observation' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getObservation()`

### getObservationMedia

    public POCDMT000040ObservationMedia getObservationMedia()

  Specified by:
    `getObservationMedia` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Observation Media' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setObservationMedia(POCDMT000040ObservationMedia)`, `CDAR2Package.getPOCDMT000040EntryRelationship_ObservationMedia()`

### basicSetObservationMedia

    public org.eclipse.emf.common.notify.NotificationChain basicSetObservationMedia(POCDMT000040ObservationMedia newObservationMedia,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setObservationMedia

    public void setObservationMedia(POCDMT000040ObservationMedia newObservationMedia)

  Specified by:
    `setObservationMedia` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newObservationMedia` - the new value of the 'Observation Media' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getObservationMedia()`

### getOrganizer

    public POCDMT000040Organizer getOrganizer()

  Specified by:
    `getOrganizer` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Organizer' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setOrganizer(POCDMT000040Organizer)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Organizer()`

### basicSetOrganizer

    public org.eclipse.emf.common.notify.NotificationChain basicSetOrganizer(POCDMT000040Organizer newOrganizer,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setOrganizer

    public void setOrganizer(POCDMT000040Organizer newOrganizer)

  Specified by:
    `setOrganizer` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newOrganizer` - the new value of the 'Organizer' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getOrganizer()`

### getProcedure

    public POCDMT000040Procedure getProcedure()

  Specified by:
    `getProcedure` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Procedure' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setProcedure(POCDMT000040Procedure)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Procedure()`

### basicSetProcedure

    public org.eclipse.emf.common.notify.NotificationChain basicSetProcedure(POCDMT000040Procedure newProcedure,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setProcedure

    public void setProcedure(POCDMT000040Procedure newProcedure)

  Specified by:
    `setProcedure` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newProcedure` - the new value of the 'Procedure' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getProcedure()`

### getRegionOfInterest

    public POCDMT000040RegionOfInterest getRegionOfInterest()

  Specified by:
    `getRegionOfInterest` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Region Of Interest' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setRegionOfInterest(POCDMT000040RegionOfInterest)`, `CDAR2Package.getPOCDMT000040EntryRelationship_RegionOfInterest()`

### basicSetRegionOfInterest

    public org.eclipse.emf.common.notify.NotificationChain basicSetRegionOfInterest(POCDMT000040RegionOfInterest newRegionOfInterest,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

### setRegionOfInterest

    public void setRegionOfInterest(POCDMT000040RegionOfInterest newRegionOfInterest)

  Specified by:
    `setRegionOfInterest` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newRegionOfInterest` - the new value of the 'Region Of Interest' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getRegionOfInterest()`

### getSubstanceAdministration

    public POCDMT000040SubstanceAdministration getSubstanceAdministration()

  Specified by:
    `getSubstanceAdministration` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Substance Administration' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setSubstanceAdministration(POCDMT000040SubstanceAdministration)`, `CDAR2Package.getPOCDMT000040EntryRelationship_SubstanceAdministration()`

### basicSetSubstanceAdministration

    public org.eclipse.emf.common.notify.NotificationChain basicSetSubstanceAdministration(POCDMT000040SubstanceAdministration newSubstanceAdministration,
                                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubstanceAdministration

    public void setSubstanceAdministration(POCDMT000040SubstanceAdministration newSubstanceAdministration)

  Specified by:
    `setSubstanceAdministration` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newSubstanceAdministration` - the new value of the 'Substance Administration' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getSubstanceAdministration()`

### getSupply

    public POCDMT000040Supply getSupply()

  Specified by:
    `getSupply` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Supply' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.setSupply(POCDMT000040Supply)`, `CDAR2Package.getPOCDMT000040EntryRelationship_Supply()`

### basicSetSupply

    public org.eclipse.emf.common.notify.NotificationChain basicSetSupply(POCDMT000040Supply newSupply,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setSupply

    public void setSupply(POCDMT000040Supply newSupply)

  Specified by:
    `setSupply` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newSupply` - the new value of the 'Supply' containment reference.
  See Also:
    `POCDMT000040EntryRelationship.getSupply()`

### isContextConductionInd

    public boolean isContextConductionInd()

  Specified by:
    `isContextConductionInd` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Context Conduction Ind' attribute.
  See Also:
    `POCDMT000040EntryRelationship.isSetContextConductionInd()`, `POCDMT000040EntryRelationship.unsetContextConductionInd()`, `POCDMT000040EntryRelationship.setContextConductionInd(boolean)`, `CDAR2Package.getPOCDMT000040EntryRelationship_ContextConductionInd()`

### setContextConductionInd

    public void setContextConductionInd(boolean newContextConductionInd)

  Specified by:
    `setContextConductionInd` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newContextConductionInd` - the new value of the 'Context Conduction Ind' attribute.
  See Also:
    `POCDMT000040EntryRelationship.isSetContextConductionInd()`, `POCDMT000040EntryRelationship.unsetContextConductionInd()`, `POCDMT000040EntryRelationship.isContextConductionInd()`

### unsetContextConductionInd

    public void unsetContextConductionInd()

  Specified by:
    `unsetContextConductionInd` in interface `POCDMT000040EntryRelationship`
  See Also:
    `POCDMT000040EntryRelationship.isSetContextConductionInd()`, `POCDMT000040EntryRelationship.isContextConductionInd()`, `POCDMT000040EntryRelationship.setContextConductionInd(boolean)`

### isSetContextConductionInd

    public boolean isSetContextConductionInd()

  Specified by:
    `isSetContextConductionInd` in interface `POCDMT000040EntryRelationship`
  Returns:
    whether the value of the 'Context Conduction Ind' attribute is set.
  See Also:
    `POCDMT000040EntryRelationship.unsetContextConductionInd()`, `POCDMT000040EntryRelationship.isContextConductionInd()`, `POCDMT000040EntryRelationship.setContextConductionInd(boolean)`

### isInversionInd

    public boolean isInversionInd()

  Specified by:
    `isInversionInd` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Inversion Ind' attribute.
  See Also:
    `POCDMT000040EntryRelationship.isSetInversionInd()`, `POCDMT000040EntryRelationship.unsetInversionInd()`, `POCDMT000040EntryRelationship.setInversionInd(boolean)`, `CDAR2Package.getPOCDMT000040EntryRelationship_InversionInd()`

### setInversionInd

    public void setInversionInd(boolean newInversionInd)

  Specified by:
    `setInversionInd` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newInversionInd` - the new value of the 'Inversion Ind' attribute.
  See Also:
    `POCDMT000040EntryRelationship.isSetInversionInd()`, `POCDMT000040EntryRelationship.unsetInversionInd()`, `POCDMT000040EntryRelationship.isInversionInd()`

### unsetInversionInd

    public void unsetInversionInd()

  Specified by:
    `unsetInversionInd` in interface `POCDMT000040EntryRelationship`
  See Also:
    `POCDMT000040EntryRelationship.isSetInversionInd()`, `POCDMT000040EntryRelationship.isInversionInd()`, `POCDMT000040EntryRelationship.setInversionInd(boolean)`

### isSetInversionInd

    public boolean isSetInversionInd()

  Specified by:
    `isSetInversionInd` in interface `POCDMT000040EntryRelationship`
  Returns:
    whether the value of the 'Inversion Ind' attribute is set.
  See Also:
    `POCDMT000040EntryRelationship.unsetInversionInd()`, `POCDMT000040EntryRelationship.isInversionInd()`, `POCDMT000040EntryRelationship.setInversionInd(boolean)`

### isNegationInd

    public boolean isNegationInd()

  Specified by:
    `isNegationInd` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Negation Ind' attribute.
  See Also:
    `POCDMT000040EntryRelationship.isSetNegationInd()`, `POCDMT000040EntryRelationship.unsetNegationInd()`, `POCDMT000040EntryRelationship.setNegationInd(boolean)`, `CDAR2Package.getPOCDMT000040EntryRelationship_NegationInd()`

### setNegationInd

    public void setNegationInd(boolean newNegationInd)

  Specified by:
    `setNegationInd` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newNegationInd` - the new value of the 'Negation Ind' attribute.
  See Also:
    `POCDMT000040EntryRelationship.isSetNegationInd()`, `POCDMT000040EntryRelationship.unsetNegationInd()`, `POCDMT000040EntryRelationship.isNegationInd()`

### unsetNegationInd

    public void unsetNegationInd()

  Specified by:
    `unsetNegationInd` in interface `POCDMT000040EntryRelationship`
  See Also:
    `POCDMT000040EntryRelationship.isSetNegationInd()`, `POCDMT000040EntryRelationship.isNegationInd()`, `POCDMT000040EntryRelationship.setNegationInd(boolean)`

### isSetNegationInd

    public boolean isSetNegationInd()

  Specified by:
    `isSetNegationInd` in interface `POCDMT000040EntryRelationship`
  Returns:
    whether the value of the 'Negation Ind' attribute is set.
  See Also:
    `POCDMT000040EntryRelationship.unsetNegationInd()`, `POCDMT000040EntryRelationship.isNegationInd()`, `POCDMT000040EntryRelationship.setNegationInd(boolean)`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040EntryRelationship.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040EntryRelationship_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040EntryRelationship.getNullFlavor()`

### getTypeCode

    public XActRelationshipEntryRelationship getTypeCode()

  Specified by:
    `getTypeCode` in interface `POCDMT000040EntryRelationship`
  Returns:
    the value of the 'Type Code' attribute.
  See Also:
    `XActRelationshipEntryRelationship`, `POCDMT000040EntryRelationship.isSetTypeCode()`, `POCDMT000040EntryRelationship.unsetTypeCode()`, `POCDMT000040EntryRelationship.setTypeCode(XActRelationshipEntryRelationship)`, `CDAR2Package.getPOCDMT000040EntryRelationship_TypeCode()`

### setTypeCode

    public void setTypeCode(XActRelationshipEntryRelationship newTypeCode)

  Specified by:
    `setTypeCode` in interface `POCDMT000040EntryRelationship`
  Parameters:
    `newTypeCode` - the new value of the 'Type Code' attribute.
  See Also:
    `XActRelationshipEntryRelationship`, `POCDMT000040EntryRelationship.isSetTypeCode()`, `POCDMT000040EntryRelationship.unsetTypeCode()`, `POCDMT000040EntryRelationship.getTypeCode()`

### unsetTypeCode

    public void unsetTypeCode()

  Specified by:
    `unsetTypeCode` in interface `POCDMT000040EntryRelationship`
  See Also:
    `POCDMT000040EntryRelationship.isSetTypeCode()`, `POCDMT000040EntryRelationship.getTypeCode()`, `POCDMT000040EntryRelationship.setTypeCode(XActRelationshipEntryRelationship)`

### isSetTypeCode

    public boolean isSetTypeCode()

  Specified by:
    `isSetTypeCode` in interface `POCDMT000040EntryRelationship`
  Returns:
    whether the value of the 'Type Code' attribute is set.
  See Also:
    `POCDMT000040EntryRelationship.unsetTypeCode()`, `POCDMT000040EntryRelationship.getTypeCode()`, `POCDMT000040EntryRelationship.setTypeCode(XActRelationshipEntryRelationship)`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD